IntelliJ IDEA 2016.2.1 Update Available

Just a month after the release, it’s time for a fresh minor update. Please welcome IntelliJ IDEA 2016.2.1, with important fixes made based on your feedback.

To update, either download the new version from our website or, if you’re running IntelliJ IDEA 2016.2, install the patch by clicking Check for Updates and then Download and Update.

To learn more about IntelliJ IDEA 2016.2, read the corresponding blog post.

Develop with Pleasure!

About Andrey Cheptsov

Part-time dreamer. JVM/JavaScript geek. IntelliJIDEA Marketing Manager at JetBrains.
This entry was posted in Releases and tagged , , . Bookmark the permalink.

19 Responses to IntelliJ IDEA 2016.2.1 Update Available

  1. Dmitry Whowhat says:

    Not compatible with Go plugin?

  2. Martin says:

    Again and again there is issue that generated classes (that are correctly marked as source/test classes) are not on the classpath when you run your modules configuration.

    Affected are all version since 2016.2 stable release.

    Reverted back to 2016.1.3

  3. Marko says:

    Preference for older plugins can not be accessed. Plugins like
    * IdeaMouseGestures v9.0.1+
    * Pomodoro – tm

  4. Installed 2016.2.1 today and my virusscanner quarantines it saying it contains “Unauthorized File Encryption”. Reverted back to 2016.2 and no problems from the virusscanner. What!??

  5. Kris says:

    Will a *.zip download be provided? Normally it would appear in the IDEA 2016.2 EAP page, but the latest available there is ideaIU-162.1447.21.win.zip.

  6. Andrey says:

    Kotlin plugin rejected to work in 2016.2.1.
    It sends a tons of errors in log, error highlighting works very slow, Alt+Enter do not work at all. IDE fatal errors dialog says : Exception in plugin Kotlin. Occurred N times. This is not a production of JetBrains. =)

  7. David T says:

    The patch process seems to be broken. I receive the notification that a patch is available and allow the update, but after restarting the patch has not been applied. Tried this three times and still not luck. I guess I’ll wait this one out.

  8. Hossie says:

    Your full download archives in version 2016.2.1 contain the data of 2016.2, at least on linux:

    # tar -tf ideaI*-162.1447.26.tar.gz |head -1
    idea-I*-162.1121.32/bin/appletviewer.policy

  9. Groovy debugging in our Grails controllers stopped working. Works fine in a new Grails hello world project but our existing 2.4.3 application debugging just doesn’t stop on Groovy breakpoints, only Java and GSP. This is on a Mac (if that makes any difference).

    Reverted to 2016.2 and that is fine.

    • Bruiser says:

      This ^^^ The lastest 2016.2.1 EAP (162.1628.6) also exhibits this behavior. I’ve searched for some sort of ‘switch’ or configuration that might be the cause, but nothing yet. Seems significant to not have a defect assigned already.

  10. Sergey says:

    On latest MacOS the copying text from “Quick Definition” pop-up will copy text from the main editor (the whole line) and not from “Quick Definition” pop-up.
    This reproducible on 2016.2, 2016.2.1 and 2016.2.2 and this is really annoying because this force me to jump into actual method declaration.

    Another UI bug reproducible in all 2016.X versions on MacOS is related to ‘default text’ background color which is from time to time set to FFFFFF (white).
    I mean “Settings” -> “Editor” -> “Colors & Fonts” -> “General” -> “Text” group settings -> “Default text” background option. It is unchecked by default, but from time to time it will set to FFFFFF.

  11. Sergey says:

    A small visual addition to my previous message.
    This MacOS ‘default text’ background color bug can be found on the illustrations inside your latest articles, like “Java 8 Top Tips”.
    Here is a proof:
    https://d3nmt5vlzunoa1.cloudfront.net/idea/files/2016/07/OptionalUseImmediately.png
    or
    https://d3nmt5vlzunoa1.cloudfront.net/idea/files/2016/07/OptionalOrElseGet.png
    You can check the wrong background color (FFFFFF) for current line.

  12. Justin Davis says:

    Having trouble updating within PHPStorm. Getting this error:

    Temp. directory: C:\Temp\

    java.lang.NullPointerException
    at com.intellij.updater.NativeFileManager$Process.terminate(NativeFileManager.java:57)
    at com.intellij.updater.PatchAction.shouldApply(PatchAction.java:73)
    at com.intellij.updater.Patch.apply(Patch.java:288)
    at com.intellij.updater.PatchFileCreator.apply(PatchFileCreator.java:84)
    at com.intellij.updater.PatchFileCreator.apply(PatchFileCreator.java:75)
    at com.intellij.updater.Runner.doInstall(Runner.java:304)
    at com.intellij.updater.Runner.access$000(Runner.java:32)
    at com.intellij.updater.Runner$1.execute(Runner.java:265)
    at com.intellij.updater.SwingUpdaterUI.lambda$doPerform$2(SwingUpdaterUI.java:186)
    at java.lang.Thread.run(Thread.java:745)

    I’m on a Windows 7 Laptop

  13. Amir Tal says:

    “if you’re running IntelliJ IDEA 2016.2, install the patch by clicking Check for Updates and then Download and Update”

    There is no option to “Download and Update”, only “Download”
    Running IntelliJ IDEA 2016.2.5

    • Cyberskid says:

      There is no option to “Download and Update”, only “Download”
      Running IntelliJ IDEA 2016.2.4 which downloads a new intellij setup.

      I don’t want to redownload the whole intellij. I want to update it by patching

  14. mohammad moiz says:

    hello, I need to know how to install and patch IntelliJ.IDEA.Ultimate.v2017.2.5.Build.172.4343 for windows 10 operating system.
    I having the patch folder in which there are sub folders named ‘com’,’krn’ and META-INF but I unable to use these folders in order to get full futures by activation of the product.

    please, tell me steps wise procedure to activate this product
    thank you ..

Leave a Reply

Your email address will not be published. Required fields are marked *